using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace FWHandler
{
    public class ProgressBarHandler
    {
        IFWProgressBar controller;
        public ProgressBarHandler(IFWProgressBar controller)
        {
            this.controller = controller;
        }
        public ProgressBarHandler WaitUntilFinish(string value, int repeatingTime = 0)
        {
            controller.ProgressWaitBy(value, repeatingTime);
            return new ProgressBarHandler(controller);
        }
    }
}
